Loading...
Searching...
No Matches
mongocxx::v1::events::server_heartbeat_failed Class Reference

`#include <mongocxx/v1/events/server_heartbeat_failed.hpp>`

## Description

ServerHeartbeatFailedEvent from the SDAM Logging and Monitoring specification.

See also
  - SDAM Logging and Monitoring (MongoDB Specifications)

## Public Member Functions

bool | awaited () const
| Return true when this heartbeat event used the "streaming" protocol (instead of the "polling" protocol).
std::int64_t | duration () const
| Return the execution time of the event.
bsoncxx::v1::stdx::string_view | host () const
| Return the hostname for the connection used by the command.
std::string | message () const
| Return the error message.
std::uint16_t | port () const
| Return the port number for the connection used by the command.

## Member Function Documentation

## awaited()

bool mongocxx::v1::events::server_heartbeat_failed::awaited | ( |  | ) | const

Return true when this heartbeat event used the "streaming" protocol (instead of the "polling" protocol).

See also
  - Server Monitoring (MongoDB Specifications)

## duration()

std::int64_t mongocxx::v1::events::server_heartbeat_failed::duration | ( |  | ) | const

Return the execution time of the event.

## host()

bsoncxx::v1::stdx::string_view mongocxx::v1::events::server_heartbeat_failed::host | ( |  | ) | const

Return the hostname for the connection used by the command.

## message()

std::string mongocxx::v1::events::server_heartbeat_failed::message | ( |  | ) | const

Return the error message.

## port()

std::uint16_t mongocxx::v1::events::server_heartbeat_failed::port | ( |  | ) | const

Return the port number for the connection used by the command.

The documentation for this class was generated from the following file:

- mongocxx/v1/events/server_heartbeat_failed.hpp